{
  "compilerOptions": {
      "target": "ESNext",
      "useDefineForClassFields": true,
      "module": "ESNext",
      "moduleResolution": "Node",
      "strict": true,
      "jsx": "preserve",
      "resolveJsonModule": true,
      "isolatedModules": true,
      "esModuleInterop": true,
      "lib": ["ESNext", "DOM"],
      "skipLibCheck": true,
      "noEmit": true,
      "baseUrl": "./",
      "paths": {
          "@": ["src/*"],
          "assets/*": ["src/assets/"],
          "components/*": ["src/components/*"],
          "store/*": ["src/store/*"],
          "views/*": ["src/views/*"],
          "router/*": ["src/router/*"],
          "utils/*": ["src/utils/*"],
          "http/*": ["src/http/*"]
      },
      "types": ["pinia-plugin-persist","vite/client"]
  },
  "include": [
      "src/**/*.ts",
      "src/**/*.d.ts",
      "src/**/*.tsx",
      "src/**/*.vue",
      "types/**/*.d.ts",
      "generated/**/*.d.ts"
  ],
  "references": [{ "path": "./tsconfig.node.json" }]
}
